Bug 1650374 - [v2v][osp] Infra Mappings show 'Network Missing' as soon as I create them
Summary: [v2v][osp] Infra Mappings show 'Network Missing' as soon as I create them
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 02:03 UTC by Kedar Kulkarni
Modified: 2019-02-12 16:49 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:49:50 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (91.74 KB, image/png)
2018-11-16 02:03 UTC, Kedar Kulkarni
no flags Details
Network present (89.91 KB, image/png)
2018-12-20 05:19 UTC, Shveta
no flags Details

Description Kedar Kulkarni 2018-11-16 02:03:30 UTC
Created attachment 1506295 [details]
Screenshot

Description of problem:
Infra Mappings show 'Network Missing' as soon as I create them

Version-Release number of selected component (if applicable):
5.10.0.24

How reproducible:
Believe 100%

Steps to Reproduce:
1.Add VMware and OSP provider(OSP provider should have multiple projects/tenants)
2.Create Infrastructure Mapping
3.Observe created Mapping

Actual results:
Network missing for every mapping that is created, as soon as I hit "Create"

Expected results:
Network should not be missing

Additional info:

Comment 2 Kedar Kulkarni 2018-11-16 02:04:26 UTC
https://github.com/ManageIQ/manageiq-v2v/issues/795

Comment 4 CFME Bot 2018-11-19 15:44:28 UTC
New commit detected on ManageIQ/manageiq-v2v/master:

https://github.com/ManageIQ/manageiq-v2v/commit/6146aa361380ed64b2d38e9d7873d920c3bab58d
commit 6146aa361380ed64b2d38e9d7873d920c3bab58d
Author:     Mike Ro <mikerodev@gmail.com>
AuthorDate: Sat Nov 17 10:26:52 2018 -0500
Commit:     Mike Ro <mikerodev@gmail.com>
CommitDate: Sat Nov 17 10:26:52 2018 -0500

    Separate cloud networks from lans

    The current implmentation does not differentiate between lans and
    cloud_networks when constructing an infra mapping's list view item.
    Consequently, ID collisions are possible, resulting with the
    visualization incorrectly reporting that networks are missing.

    https://github.com/ManageIQ/manageiq-v2v/issues/795
    https://bugzilla.redhat.com/show_bug.cgi?id=1650374

 app/javascript/react/screens/App/Mappings/components/InfrastructureMappingsList/InfrastructureMappingsListConstants.js | 15 +
 app/javascript/react/screens/App/Mappings/components/InfrastructureMappingsList/helpers.js | 30 +-
 2 files changed, 36 insertions(+), 9 deletions(-)

Comment 5 CFME Bot 2018-11-19 18:38:18 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/1207f163748caf1f449dd77b48884f48a0f786b1
commit 1207f163748caf1f449dd77b48884f48a0f786b1
Author:     Mike Turley <mike.turley@alum.cs.umass.edu>
AuthorDate: Mon Nov 19 10:42:53 2018 -0500
Commit:     Mike Turley <mike.turley@alum.cs.umass.edu>
CommitDate: Mon Nov 19 10:42:53 2018 -0500

    Merge pull request #799 from michaelkro/795-fix-missing-networks-and-datastores

    [#795] Fix missing networks and datastores

    (cherry picked from commit f2e09339613f6d56985b0190ade587b884318aa6)

    https://bugzilla.redhat.com/show_bug.cgi?id=1650374

 app/javascript/react/screens/App/Mappings/components/InfrastructureMappingsList/InfrastructureMappingsListConstants.js | 15 +
 app/javascript/react/screens/App/Mappings/components/InfrastructureMappingsList/helpers.js | 32 +-
 2 files changed, 37 insertions(+), 10 deletions(-)

Comment 7 Shveta 2018-12-20 05:19:00 UTC
Created attachment 1515786 [details]
Network present

Network is present .
Verified in 5.10.0.30.20181218191323_900a416


Note You need to log in before you can comment on or make changes to this bug.